# $Revision: 1.25 $, $Date: 2002/07/07 11:18:45 $
Summary:	ext2 filesystem editor for hackers *only*
Summary(de):	ext2-Dateisystem-Editor NUR fr Hacker
Summary(fr):	diteur du systme de fichiers ext2, *uniquement* pour les hackers
Summary(pl):	Edytor systemu plikw ext2 - TYLKO DLA DOWIADCZONYCH UYTKOWNIKW
Summary(tr):	ext2 dosya sistemi dzenleyicisi
Name:		ext2ed
Version:	0.2
Release:	1
License:	GPL
Group:		Applications/System
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/filesystems/ext2/%{name}-%{version}.tar.gz
Patch0:		%{name}-opt.patch
Patch1:		%{name}-FHS2.0.patch
BuildRequires:	readline-devel >= 4.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a package to allow for hacking of your extended two file
systems. It is for hackers *only* and should only be used by
experienced personnel. If you aren't sure if this is you, it isn't.
Also, do not smoke near this software. You have been warned. This is
not a recording.

%description -l de
Dies ist ein Paket zum Hacken der ext2-Dateisysteme, zum
AUSSCHLIESSLICHEN Gebrauch durch Hacker und versierte Fachleute. Wenn
Sie sich nicht angesprochen fhlen, lassen Sie lieber die Hnde davon!
Und noch etwas: Znden Sie sich in der Nhe dieser Software keine
Zigarette an - sagen Sie nicht, wir htten Sie nicht gewarnt.

%description -l fr
Paquetage permettant le hackind des systmes de fichiers ext2. Il
n'est *que* pour les hackers et doit tre utiliss par des gens
expriments. Si vous n'tes pas sr de l'tre, vous ne l'tes pas. Ne
fumez pas prs de ce logiciel. Vous aurez t prvenu, ce n'est pas un
exercice.

%description -l pl
Ext2ed pozwala na modyfikowanie systemu plikw ext2. Przeznaczony jest
tylko i wycznie dla dowiadczonych uytkownikw Linuksa.
Niedowiadczeni oraz rednio-zaawansowani uytkownicy nie powinni si
nawet zblia do ext2ed.

W pobliu ext2ed obowizuje cakowity zakaz palenia tytoniu ;)

%description -l tr
Bu yazlmlarla ext2 dosya sistemi zerinde deiiklikler
yapabilirsiniz. Bu yazlm sadece ne yaptnzdan kesinkle eminseniz
kullann. Dosyalarnz kaybedecek olursanz, unutmayn: sizi
uyarmtk!

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f ext2ed
%{__make} \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{%{_bindir},%{_mandir}/man8,var/lib/ext2ed}

%{__make} install \
	VAR_DIR=$RPM_BUILD_ROOT/var/lib/ext2ed \
	BIN_DIR=$RPM_BUILD_ROOT%{_bindir} \
	DOC_DIR=$RPM_BUILD_ROOT \
	MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man8

%files
%defattr(644,root,root,755)
%doc README doc/*.sgml doc/*.ps
%attr(750,root,root) %dir /var/lib/ext2ed
/var/lib/ext2ed/ext2.descriptors
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /var/lib/ext2ed/ext2ed.conf
%attr(744,root,root) %{_bindir}/ext2ed
%{_mandir}/man8/*

%clean
rm -rf $RPM_BUILD_ROOT

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ext2ed.spec,v $
Revision 1.25  2002/07/07 11:18:45  qboosh
- updated to 0.2, removed obsolete config,glibc,inode patches
- use proper CC and optflags (opt patch updated)
- revised file list (but it seems ext2ed.conf should go to /etc and
  ext2.descriptors to /usr/share/ext2ed - now they are both in /var/lib)

Revision 1.24  2002/07/03 09:24:04  wolf
- spelling

Revision 1.23  2002/04/25 16:16:31  arturs
fixed a small typo

Revision 1.22  2002/02/23 01:58:10  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:12:50  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/04/13 03:16:52  kloczek
- release 23,
- spec adapeterized and added using rpm automation,
- rebuild against readline 4.2.

Revision 1.18  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/05/31 17:14:52  kloczek
- bump release to 22 (to allow upgrade from RH 6.2),
- cosmetics in fr %description.

Revision 1.16  2000/05/30 22:39:52  wiget
BuildRequires readline-devel

Revision 1.15  2000/05/18 19:19:33  kloczek
- spec adapterized.

Revision 1.14  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.13  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.11  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.10  1999/07/12 23:05:56  kloczek

- added using CVS keywords in %changelog (for automating them).

* Mon Dec 28 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.1-16]
- added gzipping man pages.

* Mon Oct 12 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.1-15]
- added using $PRPM_OPT_FLAGS during compile (ext2ed-opt.patch).

* Tue Oct 06 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
- added pl translation,
- added Buildroot support,
- restricted files permissions,
- build from non root's account,
- major modifications of the spec file.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses
- updated bad patch (!)

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- various spec file clean ups

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- build against readline library w/ proper soname

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
